<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="icon" href="/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Rachele & Maurizio - 08.10.2023</title>
  </head>
  <body>
    <div id="app">
      <style>
        .temp-app {
          position: fixed;
          top: 0;
          left: 0;
          bottom: 0;
          right: 0;
          display: flex;
          justify-content: center;
          align-items: center;
          background: #fff;
        }

        .temp-app .circular {
          animation: spinner-rotate-temp 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
          height: 50px;
          width: 50px;
        }

        .temp-app .path {
          stroke-dasharray: 1, 200;
          stroke-dashoffset: 0;
          animation: dash-temp 1.5s ease-in-out infinite;
          stroke-linecap: round;
          stroke: #181818;
        }

        @keyframes dash-temp {
          0% {
            stroke-dasharray: 1, 200;
            stroke-dashoffset: 0;
          }
          50% {
            stroke-dasharray: 89, 200;
            stroke-dashoffset: -35px;
          }
          100% {
            stroke-dasharray: 89, 200;
            stroke-dashoffset: -124px;
          }
        }

        @keyframes spinner-rotate-temp {
          12.5% {
            transform: rotate(135deg);
          }
          25% {
            transform: rotate(270deg);
          }
          37.5% {
            transform: rotate(405deg);
          }
          50% {
            transform: rotate(540deg);
          }
          62.5% {
            transform: rotate(675deg);
          }
          75% {
            transform: rotate(810deg);
          }
          87.5% {
            transform: rotate(945deg);
          }
          100% {
            transform: rotate(1080deg);
          }
        }

        @media (prefers-color-scheme: dark) {
          .temp-app {
            background: #181818;
          }

          .temp-app .path {
            stroke: #fff;
          }
        }
      </style>
      <div class="temp-app">
        <svg class="circular" viewBox="25 25 50 50">
          <circle
            class="path"
            cx="50"
            cy="50"
            r="20"
            fill="none"
            stroke-width="6"
            stroke-miterlimit="10"
          />
        </svg>
      </div>
    </div>
    <script type="module" src="/src/main.js"></script>
  </body>
</html>
